
Figure - Bug #116573
【AF】【EVT1】【Boot】【偶现1次】设备OTA升级后，使用小窗模式，然后设备偶然出现卡死然后重启
2023-02-27 16:36 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-27

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0076-0077

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

0076 OTA升级到0077

【测试步骤】

1. 设备开机后，安装快手、抖音app

2. 使用快手小窗模式功能

3. 打开抖音小窗功能

【预期结果】

3 设备正常运行，小窗模式正常运行

【实际结果】

3 设备卡死然后重启

日志：

History

#1 - 2023-02-27 16:37 - 移动测试一组_CDTS 刘强

- Subject changed from 【BSP】【EVT1】【Boot】【偶现1次】设备烧机，进入设置，输入*#149#进入副屏调试功能，画面白屏，一段时间后，出现“副屏

调试功能已停止运行” to 【BSP】【EVT1】【Boot】【偶现1次】设备OTA升级后，使用小窗模式，然后设备偶然出现卡死然后重启

#2 - 2023-02-27 16:39 - 移动测试一组_CDTS 刘强

日志保存路径：ftp://cdiot@192.168.87.46/Figure/bug/116573/tlog_sts40x190089_179_0223040431.tar.gz

#3 - 2023-03-02 21:42 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to System组-RD3_CDTS 蒋富雄

#4 - 2023-03-03 09:19 - System组-RD3_CDTS 蒋富雄

- File 166_kernel_00001_700101_101451.log.ing added

从log文件166_kernel_00001_700101_101451.log.ing中看在最后log还没输出完就掉电了，

怀疑两点

1.板子突然断电，请确认电源接触是否良好
2.如果是dump请qpst抓取dump

01-01 10:44:29.899     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0

01-01 10:44:35.020     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0

01-01 10:44:37.282     0     0 W audit   : audit_lost=200 audit_rate_limit=5 audit_backlog_limit=64

01-01 10:44:37.282     0     0 E audit   : rate limit exceeded

01-01 10:44:40.140     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0

01-01 10:44:41.677     0     0 I msm_vidc: err : ffffffff: .....: DBLP Set: status 0

01-01 10:44:45.259     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0

01-01 10:44:50.379     0

#5 - 2023-03-03 09:22 - System组-RD3_CDTS 蒋富雄

- Status changed from New to NEED_INFO

#6 - 2023-03-03 10:26 - System组-RD3_CDTS 蒋富雄

- File 179_persist_00018_700101_080042.log added

上一次关机的原因未知Unknown power-off reason 

342 01-01 08:00:14.887     0     0 I qcom,qpnp-power-on c440000.qcom,spmi: qcom,pm8150@0:qcom,power-on@800: PMIC@SID0 Power-on reason: Triggered from KPD

(Power Key Press) and 'cold' boot

 343 01-01 08:00:14.887     0     0 I qcom,qpnp-power-on c440000.qcom,spmi: qcom,pm8150@0:qcom,power-on@800: PMIC@SID0: Unknown power-off reason

 344 01-01 08:00:14.888     0     0 I input   : qpnp_pon as

/devices/platform/soc/c440000.qcom,spmi/spmi-0/spmi0-00/c440000.qcom,spmi:qcom,pm8150@0:qcom,power-on@800/input/input0

 345 01-01 08:00:14.891     0     0 I qcom,qpnp-power-on c440000.qcom,spmi: qcom,pm8150l@4:qcom,power-on@800: PMIC@SID4 Power-on reason: Triggered from

PON1 (Secondary PMIC) and 'cold' boot

 346 01-01 08:00:14.891     0     0 I qcom,qpnp-power-on c440000.qcom,spmi: qcom,pm8150l@4:qcom,power-on@800: PMIC@SID4: Unknown power-off reason

 347 01-01 08:00:14.893     0     0 E qcom,qpnp-power-on c440000.qcom,spmi: qcom,pm8009@a:qcom,power-on@800: Invalid PON_PERPH_SUBTYPE 0x07

 348 01-01 08:00:14.893     0     0 W qcom,qpnp-power-on: probe of c440000.qcom,spmi:qcom,pm8009@a:qcom,power-on@800 failed with error -22

 349 01-01 08:00:14.893     0     0 E spmi-0  : pmic_arb_wait_for_done: transaction failed (0x3)

 350 01-01 08:00:14.893     0     0 E qcom,qpnp-power-on c440000.qcom,spmi: qcom,pmxprairie@8:qcom,power-on@800: Register read failed, addr=0x0805, rc=-5

 351 01-01 08:00:14.893     0     0 W qcom,qpnp-power-on: probe of c440000.qcom,spmi:qcom,pmxprairie@8:qcom,power-on@800 failed with error -5

突然没有log。结合关机原因是未知，怀疑突然掉电

02-23 03:02:47.236  1141  2106 D CompatibilityInfo: applicationScale - 1.0

02-23 03:02:47.244  5288  5288 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10159; state: ENABLED

02-23 03:02:47.272  5183  5260 W tlog    : tlog isn't init,please call init() ,or initSync(bool) method !

02-23 03:02:47.273  5183  5260 W tlog    : tlog isn't init,please call init() ,or initSync(bool) method !

02-23 03:02:47.273  5288  5288 D ApplicationLoaders: Returning zygote-cached class loader: /system/framework/android.test.base.jar

02-23 03:02:47.293  5020  5089 I MMKV    : <MMKV_IO.cpp:367::ensureMemorySize> extending [com.kuaishou.nebula_user_0_abtest] file size from 32768 to 65536,

incoming size:41, future usage:16260

02-23 03:02:47.296  5020  5058 I kuaishou.nebul: Waiting for a blocking GC ClassLinker

02-23 03:02:47.331  1141  2090 D BufferPoolAccessor2.0: evictor expired: 3, evicted: 0

02-23 03:02:47.332  2071  2441 D BufferPoolAccessor2.0: evictor expired: 3, evicted: 0

02-23 03:02:47.337

#7 - 2023-03-03 10:27 - System组-RD3_CDTS 蒋富雄

- File 179_persist_00018_230223_030244.log.ing added

#8 - 2023-03-07 11:03 - System组-RD3_CDTS 蒋富雄
1.板子突然断电，请确认电源接触是否良好

2.如果是dump请qpst抓取dump

#9 - 2023-03-07 11:04 - System组-RD3_CDTS 蒋富雄

- Assignee changed from System组-RD3_CDTS 蒋富雄 to 移动测试一组_CDTS 刘强

#10 - 2023-03-07 18:14 - SZTS_TEST 邹涛

使用0079 ota版本升级26次未复现

#11 - 2023-03-13 19:47 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to System组-RD3_CDTS 蒋富雄

客户重新复现，日志：ftp://cdiot@192.168.87.46/Figure/bug/116573/log.tar

此issue是客户在实车上复现，应该不存在断电问题

同时现象是直接重启，没有进900e，因此不存在dump日志可能性

#12 - 2023-03-14 09:13 - System组-RD3_CDTS 蒋富雄

ftp://cdiot@192.168.87.46/Figure/bug/116573/log.tar

这个log不是figure项目的log

/home/scm/jenkins/workspace/DB_for_Epoch/build-dir/epoch-c610-lu1.0-dev/apps_proc/build-qti-distro-ubuntu-fullstack-debug/tmp-glibc/work-shared/qcs610-odk-

64/kernel-source/fs/sysfs/group.c:238

请确认一下

#13 - 2023-03-14 09:38 - 移动测试一组_CDTS 刘强

ftp://cdiot@192.168.87.46/Figure/bug/116573/tlog_sts40x190089_333_0313163532.tar.gz

#14 - 2023-03-14 10:09 - System组-RD3_CDTS 蒋富雄

从log中看tlog没有重启，log中存在system_server wdt

请AF的同事帮忙看看

./manual/333_manual_00017_230313_163241.log:815:03-13 16:32:30.302  1163  1266 W Watchdog: *** WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler

on i/o thread (android.io)

./manual/333_manual_00017_230313_163241.log:817:03-13 16:32:30.302  1163  1266 W Watchdog: android.io annotated stack trace:

./manual/333_manual_00017_230313_163241.log:818:03-13 16:32:30.302  1163  1266 W Watchdog:     at android.os.MessageQueue.nativePollOnce(Native Method)

./manual/333_manual_00017_230313_163241.log:819:03-13 16:32:30.303  1163  1266 W Watchdog:     at android.os.MessageQueue.next(MessageQueue.java:335)

Cmd line: system_server

   4 Build fingerprint: 'TC/figure_CN/figure:12/SKQ1.220201.001/2404:userdebug/test-keys'

   5 ABI: 'arm64'

   6 Build type: optimized

   7 Zygote loaded classes=24882 post zygote classes=4202

   8 Dumping registered class loaders
   9 #0 dalvik.system.PathClassLoader: [], parent #1

  10 #1 java.lang.BootClassLoader: [], no parent

  11 #2 dalvik.system.PathClassLoader: [/system/framework/tcmclient.jar], parent #0

  12 #3 dalvik.system.PathClassLoader: [], parent #0

  13 #4 dalvik.system.PathClassLoader:

[/system/framework/services.jar:/system/framework/services.jar!classes2.dex:/apex/com.android.permission/javalib/service-permission.jar:/system/framework/eth

ernet-se     rvice.jar:/apex/com.android.appsearch/javalib/service-appsearch.jar:/apex/com.android.media/javalib/service-media-s.jar], parent #1

  14 #5 dalvik.system.PathClassLoader: [/system/priv-app/SettingsProvider/SettingsProvider.apk], parent #1

  15 #6 dalvik.system.PathClassLoader: [/apex/com.android.wifi/javalib/service-wifi.jar], parent #4

  16 #7 dalvik.system.PathClassLoader: [/apex/com.android.tethering/javalib/service-connectivity.jar], parent #4

  17 #8 dalvik.system.PathClassLoader: [/apex/com.android.os.statsd/javalib/service-statsd.jar], parent #4

  18 #9 dalvik.system.PathClassLoader: [/apex/com.android.scheduling/javalib/service-scheduling.jar], parent #4

  19 #10 dalvik.system.PathClassLoader: [/system_ext/framework/ActivityExt.jar], parent #0

  20 #11 dalvik.system.PathClassLoader: [/system/priv-app/Telecom/Telecom.apk], parent #1

  21 #12 dalvik.system.PathClassLoader: [/system/priv-app/FusedLocation/FusedLocation.apk], parent #1

  22 #13 dalvik.system.PathClassLoader: [/product/framework/ims-ext-common.jar], parent #1

  23 Done dumping class loaders

#15 - 2023-03-15 13:53 - CD BSP-杜磊

- Category changed from SYSTEM to CD-FW

- Assignee changed from System组-RD3_CDTS 蒋富雄 to CD FW 曹覃刚

#16 - 2023-03-23 14:58 - CDTS_TEST 王成

客户反馈的问题，存储空间基本只剩下几个G的样子

#17 - 2023-03-23 20:05 - CD FW 曹覃刚

■ 我的分析

--------------------------

03-13 16:31:39.038  1163 24870 E ActivityManager: ANR in system

03-13 16:31:39.038  1163 24870 E ActivityManager: PID: 1163

03-13 16:31:39.038  1163 24870 E ActivityManager: Reason: Input dispatching timed out (PointerEventDispatcher0 (server) is not responding. Waited 5000ms for

MotionEvent(deviceId=-1, eventTime=7394033000000, source=0x00001002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000,

metaState=0x00000000, buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan,

yCursorPosition=nan, pointers=[0: (319.0, 225.0)]), policyFlags=0x6b000000)

03-13 16:31:39.038  1163 24870 E ActivityManager: ErrorId: 11362e1f-3d4e-4a83-a596-e708ac7903a0

03-13 16:31:39.038  1163 24870 E ActivityManager: Frozen: false

03-13 16:31:39.038  1163 24870 E ActivityManager: Load: 93.49 / 72.55 / 46.85

03-13 16:31:39.038  1163 24870 E ActivityManager: ----- Output from /proc/pressure/memory -----

03-13 16:31:39.038  1163 24870 E ActivityManager: some avg10=28.07 avg60=26.44 avg300=25.91 total=516317089

03-13 16:31:39.038  1163 24870 E ActivityManager: full avg10=1.37 avg60=0.56 avg300=0.59 total=33536155

03-13 16:31:39.038  1163 24870 E ActivityManager: ----- End output from /proc/pressure/memory -----

03-13 16:31:39.038  1163 24870 E ActivityManager: 

03-13 16:31:39.038  1163 24870 E ActivityManager: CPU usage from 0ms to 37966ms later (2023-03-13 16:31:00.416 to 2023-03-13 16:31:38.382):

03-13 16:31:39.038  1163 24870 E ActivityManager:   46% 24262/com.qiyi.video: 9.6% user + 36% kernel / faults: 71850 minor 80 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   44% 20712/com.ss.android.ugc.aweme: 11% user + 33% kernel / faults: 55410 minor 30 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   32% 95/kswapd-1:0: 0% user + 32% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   22% 20386/com.qiyi.video.pad:plugin1: 7.8% user + 15% kernel / faults: 20839 minor 10 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   18% 1163/system_server: 3.6% user + 14% kernel / faults: 22783 minor 25 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   18% 19153/com.qiyi.video.pad: 1.2% user + 16% kernel / faults: 2950 minor 8 major
03-13 16:31:39.038  1163 24870 E ActivityManager:   14% 21295/com.dragon.read: 1.4% user + 13% kernel / faults: 18039 minor 5 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   14% 19146/tv.danmaku.bilibilihd: 2.1% user + 12% kernel / faults: 12346 minor 12 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   13% 21726/com.ss.android.ugc.aweme:push: 1.3% user + 12% kernel / faults: 22783 minor 30 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   11% 5313/com.tencent.mobileqq: 4% user + 7.9% kernel / faults: 8753 minor 18 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   10% 11094/com.taptap: 1.4% user + 8.6% kernel / faults: 1758 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   9.9% 513/logd: 1.1% user + 8.7% kernel / faults: 309 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   9.6% 24535/com.kmxs.reader: 1.6% user + 7.9% kernel / faults: 25625 minor 12 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   8.6% 514/lmkd: 1.6% user + 7% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   8.6% 1052/surfaceflinger: 3.1% user + 5.5% kernel / faults: 31 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   8.3% 24512/com.taptap:va_core: 1.2% user + 7.1% kernel / faults: 6968 minor 31 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   8.2% 29988/com.youku.phone: 1.8% user + 6.3% kernel / faults: 3943 minor 9 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   8% 24497/com.ss.android.ugc.aweme:sandboxed_process1: 1.7% user + 6.2% kernel / faults: 11942 minor 30 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   7.7% 11618/com.wandoujia.phoenix2: 2.8% user + 4.8% kernel / faults: 5876 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   6% 12781/kworker/u16:23-ufs_pm_qos_0: 0% user + 6% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   5.4% 22216/com.tencent.qqmusic:QQPlayerService: 0.2% user + 5.1% kernel / faults: 3682 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   5.2% 687/netd: 0.7% user + 4.4% kernel / faults: 2192 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   5% 12533/kworker/u16:15-kgsl-mementry: 0% user + 5% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   4.6% 29214/com.smile.gifmaker: 0.3% user + 4.3% kernel / faults: 2089 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   4.5% 11670/com.wandoujia.phoenix2:aid: 2.1% user + 2.3% kernel / faults: 3253 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   4.2% 24113/com.baidu.BaiduMap:MapCoreService: 0.3% user + 3.8% kernel / faults: 9820 minor 12 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   4.1% 9270/kworker/u16:18+NPU_DATA: 0% user + 4.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   4.1% 23188/com.baidu.BaiduMap: 1.5% user + 2.5% kernel / faults: 704 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.9% 12783/kworker/u16:24+kverityd: 0% user + 3.9% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.7% 12296/com.ss.android.lark: 0.1% user + 3.5% kernel / faults: 580 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.5% 22377/kworker/u16:10+NPU_DCI: 0% user + 3.5% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.4% 1325/media.codec: 0.5% user + 2.9% kernel / faults: 21 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.3% 3316/com.sohu.inputmethod.sogou.car: 0.6% user + 2.7% kernel / faults: 2130 minor 6 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.3% 4989/com.kuaishou.nebula: 0.1% user + 3.2% kernel / faults: 821 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   3.2% 19145/com.android.settings: 0.7% user + 2.4% kernel / faults: 22333 minor 24 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   3% 12811/com.tencent.mm: 0% user + 3% kernel / faults: 1357 minor 2 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.9% 8375/com.tencent.qqmusic: 0.4% user + 2.4% kernel / faults: 409 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.8% 1277/installd: 0% user + 2.7% kernel / faults: 83 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.8% 4605/kworker/u16:14-ufs_clkscaling_0: 0% user + 2.8% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.3% 3947/com.hpplay.happyplay.aw: 0.4% user + 1.8% kernel / faults: 517 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.3% 973/vendor.qti.hardware.display.composer-service: 0.7% user + 1.5% kernel / faults: 98 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.2% 12572/kworker/u16:62-ufs_pm_qos_0: 0% user + 2.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.2% 1251/cnss_diag: 1.1% user + 1.1% kernel / faults: 3 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   2.1% 1292/tlog: 0.4% user + 1.6% kernel / faults: 33 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   2% 31913/kworker/u16:2+CDSP_DATA: 0% user + 2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   2% 12459/com.shuqi.controller: 1.1% user + 0.8% kernel / faults: 483 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.9% 2954/com.hht.lebocast: 0.3% user + 1.5% kernel / faults: 232 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.9% 2701/kworker/u16:3+LPASS_DATA: 0% user + 1.9% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.8% 22969/com.dragon.read:sandboxed_process1: 0.1% user + 1.7% kernel / faults: 3706 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.8% 72/rcuop/7: 0% user + 1.8% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.8% 24263/com.kmxs.reader:channel: 0.2% user + 1.6% kernel / faults: 3847 minor 5 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.7% 12793/com.shuqi.controller:channel: 1% user + 0.7% kernel / faults: 361 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.7% 2150/kworker/u16:21-kverityd: 0% user + 1.7% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.6% 21319/tv.danmaku.bilibilihd:pushservice: 0.5% user + 1.1% kernel / faults: 5900 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.6% 100/irq/41-tsens-up: 0% user + 1.6% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.5% 12323/com.wandoujia.phoenix2:channel: 0.9% user + 0.5% kernel / faults: 911 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.5% 7695/com.tencent.qqmusicpad: 0.2% user + 1.2% kernel / faults: 271 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.3% 288/kgsl_worker_thr: 0% user + 1.3% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.3% 19221/com.youku.phone:channel: 0.8% user + 0.4% kernel / faults: 1306 minor 38 major
03-13 16:31:39.038  1163 24870 E ActivityManager:   1.2% 5485/app_process: 0.3% user + 0.8% kernel / faults: 29 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.2% 16651/kworker/u16:8+LPASS_DATA: 0% user + 1.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1.1% 2151/kworker/u16:22-ufs_pm_qos_0: 0% user + 1.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 25941/kworker/u16:11-ufs_pm_qos_0: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1% 12565/kworker/u16:57+CDSP_DATA: 0% user + 1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1% 19891/com.dragon.read:pushservice: 0.1% user + 0.9% kernel / faults: 1513 minor 2 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   1% 18112/kworker/u16:6-ufs_clkscaling_0: 0% user + 1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   1% 22731/com.dragon.read:push: 0.1% user + 0.8% kernel / faults: 3025 minor 11 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.9% 2826/adbd: 0.2% user + 0.7% kernel / faults: 64 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.9% 21/ksoftirqd/1: 0% user + 0.9% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.9% 26748/kworker/u16:7+NPU_DCI: 0% user + 0.9% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.8% 24697/com.android.settings.intelligence: 0.3% user + 0.4% kernel / faults: 383 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.8% 13020/com.tencent.mm:push: 0% user + 0.8% kernel / faults: 417 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.7% 20987/com.qiyi.video.pad:downloader: 0.2% user + 0.5% kernel / faults: 42 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.7% 56/rcuop/5: 0% user + 0.7% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.7% 64/rcuop/6: 0% user + 0.7% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.7% 19051/kworker/0:1-mm_percpu_wq: 0% user + 0.7% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.7% 18054/com.ss.android.lark:sandboxed_process1: 0% user + 0.6% kernel / faults: 276 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.6% 925/android.hardware.wifi@1.0-service: 0.2% user + 0.4% kernel / faults: 714 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.6% 1031/audioserver: 0% user + 0.6% kernel / faults: 21 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 2352/com.thundercomm.tchttpserver: 0% user + 0% kernel / faults: 480 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.5% 814/android.hardware.audio.service: 0% user + 0.5% kernel / faults: 13 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.5% 22218/kworker/u17:3-kgsl-events: 0% user + 0.5% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.5% 48/rcuop/4: 0% user + 0.5% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.5% 5863/kworker/u17:5-kgsl-events: 0% user + 0.5% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.4% 17725/kworker/u16:25+SENSORS_DATA: 0% user + 0.4% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.4% 16628/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0%

user + 0.4% kernel / faults: 173 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.4% 89/oom_reaper: 0% user + 0.4% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.4% 2094/com.android.systemui: 0% user + 0.3% kernel / faults: 617 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.4% 3209/com.android.providers.media.module: 0% user + 0.3% kernel / faults: 102 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.4% 24471/kworker/1:2-events_freezable_power_: 0% user + 0.4% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.3% 13430/com.ss.android.ugc.aweme:pushservice: 0% user + 0.3% kernel / faults: 414 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.3% 2259/com.thundercomm.microservice: 0% user + 0.3% kernel / faults: 847 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.3% 2883/irq/17-9091000.: 0% user + 0.3% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.3% 21104/com.huawei.appmarket: 0% user + 0.3% kernel / faults: 263 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 2073/dp_rx_thread_0: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 32/rcuop/2: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 91/kcompactd0: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 11/rcu_preempt: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 515/servicemanager: 0% user + 0.1% kernel / faults: 1 minor 2 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 663/vendor.ts.uart@1.0-service: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 783/crtc_commit:125: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 2186/com.android.networkstack.process: 0% user + 0.1% kernel / faults: 468 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 4606/kworker/u16:16+flush-252:15: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 7222/com.huawei.hwid.persistent: 0% user + 0.2% kernel / faults: 903 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 40/rcuop/3: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 340/kworker/0:1H-kblockd: 0% user + 0.2% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.2% 1279/media.extractor: 0% user + 0.2% kernel / faults: 1209 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 10/ksoftirqd/0: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 688/zygote64: 0% user + 0.1% kernel / faults: 87 minor 3 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 1285/mediaserver: 0% user + 0.1% kernel / faults: 58 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 6284/com.baidu.BaiduMap:SandBoxProcess: 0% user + 0.1% kernel / faults: 90 minor
03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 11363/kworker/2:28-sock_diag_events: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 13139/kworker/3:1-mm_percpu_wq: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 13944/com.tencent.mobileqq:MSF: 0% user + 0.1% kernel / faults: 49 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 18111/kworker/u16:5-ufs_clkscaling_0: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 14/rcuop/0: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 24/rcuop/1: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 556/android.hardware.keymaster@4.1-service-qti: 0% user + 0.1% kernel / faults: 6 minor 7 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 686/statsd: 0% user + 0.1% kernel / faults: 9 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 3168/com.qualcomm.qti.workloadclassifier: 0% user + 0% kernel / faults: 379 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 15956/com.huawei.hwread.dz: 0% user + 0.1% kernel / faults: 73 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 17018/com.coolapk.market: 0% user + 0.1% kernel / faults: 393 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 19217/kworker/u17:0-hal_register_write_wq: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 12/rcu_sched: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 516/hwservicemanager: 0% user + 0% kernel / faults: 9 minor 6 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 2078/com.android.bluetooth: 0% user + 0.1% kernel / faults: 94 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 2881/irq/16-90b6400.: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 10060/com.baidu.BaiduMap:MapVoiceProcess: 0% user + 0.1% kernel / faults: 27 minor 4 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 13835/com.android.launcher3: 0% user + 0.1% kernel / faults: 83 minor 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 20025/com.huawei.hwid.core: 0% user + 0.1% kernel / faults: 122 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 31004/kworker/1:2H-kblockd: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 860/android.hardware.memtrack@1.0-service: 0% user + 0% kernel / faults: 2 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 1011/qrtr-ns: 0% user + 0.1% kernel / faults: 1 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 1486/tzlog: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 11437/kworker/4:30-sock_diag_events: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 16083/kworker/5:21-events: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 22167/kworker/6:2-sock_diag_events: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0.1% 22953/kworker/7:0-events_power_efficient: 0% user + 0.1% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 45/ksoftirqd/4: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 87/qmp_aop: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 374/kworker/3:1H-kblockd: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 1284/media.metrics: 0% user + 0% kernel / faults: 74 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 1586/msm_irqbalance: 0% user + 0% kernel / faults: 2 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 8804/com.tencent.qqmusicpad:QQPlayerService: 0% user + 0% kernel / faults: 30 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 14729/mdnsd: 0% user + 0% kernel / faults: 2 minor 4 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 29891/com.smile.gifmaker:messagesdk: 0% user + 0% kernel / faults: 28 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 30186/com.smile.gifmaker:kwv_sandboxed_p0: 0% user + 0% kernel / faults: 27 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 49/rcuos/4: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 337/kworker/2:1H-kblockd: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 375/kworker/4:1H-kblockd: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 549/psimon: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 586/keystore2: 0% user + 0% kernel / faults: 139 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 825/android.hardware.drm@1.3-service.clearkey: 0% user + 0% kernel / faults: 11 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 977/vendor.qti.hardware.iop@2.0-service: 0% user + 0% kernel / faults: 36 minor

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 1006/vendor.thundercomm.hardware.tsnv@1.0-service: 0% user + 0% kernel / faults: 15 minor 6 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 1229/wlan_logging_th: 0% user + 0% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   0% 1255/cameraserver: 0% user + 0% kernel / faults: 15 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1287/selfinstaller: 0% user + 0% kernel / faults: 25 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1429/cnss-daemon: 0% user + 0% kernel / faults: 6 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 6076/com.kuaishou.nebula:kwv_sandboxed_p0: 0% user + 0% kernel / faults: 45 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 9994/com.ximalaya.ting.android.car:player: 0% user + 0% kernel / faults: 57 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 21421/tv.danmaku.bilibilihd:ijkservice: 0% user + 0% kernel / faults: 9 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1/init: 0% user + 0% kernel / faults: 40 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 15/rcuos/0: 0% user + 0% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 17/migration/0: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 33/rcuos/2: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 53/ksoftirqd/5: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 57/rcuos/5: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 61/ksoftirqd/6: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 65/rcuos/6: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 79/kauditd: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 376/kworker/5:1H-kblockd: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 377/kworker/6:1H-kblockd: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 585/android.system.suspend@1.0-service: 0% user + 0% kernel / faults: 7 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 645/tombstoned: 0% user + 0% kernel / faults: 5 minor 3 major

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 662/ipacm: 0% user + 0% kernel / faults: 12 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 812/ssgtzd: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 818/android.hidl.allocator@1.0-service: 0% user + 0% kernel / faults: 5 minor 2 major

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 821/android.hardware.bluetooth@1.0-service-qti: 0% user + 0% kernel / faults: 21 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 970/vendor.qti.hardware.display.allocator-service: 0% user + 0% kernel / faults: 14 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 979/vendor.qti.hardware.perf@2.2-service: 0% user + 0% kernel / faults: 29 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 985/vendor.qti.hardware.servicetracker@1.2-service: 0% user + 0% kernel / faults: 16 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1057/tftp_server: 0% user + 0% kernel / faults: 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1235/traced_probes: 0% user + 0% kernel / faults: 4 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1253/dpmd: 0% user + 0% kernel / faults: 19 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1297/wificond: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1319/wfdhdcphalservice: 0% user + 0% kernel / faults: 21 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1414/wfdvndservice: 0% user + 0% kernel / faults: 28 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 1500/slim_daemon: 0% user + 0% kernel / faults: 1 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 2071/scheduler_threa: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 2205/wpa_supplicant: 0% user + 0% kernel / faults: 4 minor 6 major

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 2210/com.thundercomm.gamemode: 0% user + 0% kernel / faults: 69 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0% 2318/.dataservices: 0% user + 0% kernel / faults: 16 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:  +0% 24899/com.sina.weibo:remote: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:  +0% 25145/com.zhihu.android: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:  +0% 25146/crash_dump64: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:  +0% 25666/system_server: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager: 73% TOTAL: 10% user + 50% kernel + 6.2% iowait + 2.7% irq + 3.7% softirq

03-13 16:31:39.039  1163 24870 E ActivityManager: CPU usage from 285ms to 1826ms later (2023-03-13 16:31:00.701 to 2023-03-13 16:31:02.242):

03-13 16:31:39.039  1163 24870 E ActivityManager:   104% 1163/system_server: 10% user + 93% kernel / faults: 1710 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     84% 24870/AnrConsumer: 7.2% user + 77% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     10% 13023/Binder:1163_16: 1.4% user + 8.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     5.8% 7979/Binder:1163_14: 1.4% user + 4.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.4% 1942/WifiHandlerThre: 0.7% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1332/android.bg: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1339/ActivityManager: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1851/InputDispatcher: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   66% 95/kswapd-1:0: 0% user + 66% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   37% 20386/com.qiyi.video.pad:plugin1: 9% user + 28% kernel / faults: 1191 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     14% 21670/pool-6-thread-4: 3% user + 11% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     11% 23893/Thread-41: 3% user + 8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     7% 20396/HeapTaskDaemon: 2% user + 5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2% 21678/Thread-34: 0% user + 2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 20876/QtpEngine: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   27% 21295/com.dragon.read: 6.4% user + 20% kernel / faults: 1213 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.4% 21862/TTDefaultExecut: 1% user + 5.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.4% 21923/ChromiumNet0: 3.2% user + 3.2% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:     4.3% 21295/com.dragon.read: 0% user + 4.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.3% 21789/APM_light-weigh: 2.1% user + 2.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.2% 24878/TTDownLoadExecu: 0% user + 3.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21515/background_thre: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21815/ActionReaper: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21931/UMThreadPoolExe: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21970/Alog_main_deleg: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 24012/npth-tick: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24918/ort/manager/a1: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24921/Log2FileHandler: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24941/MessageHandleSe: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24944/TTDefaultExecut: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   20% 20712/com.ss.android.ugc.aweme: 4% user + 16% kernel / faults: 402 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     10% 22550/Thread-244: 4% user + 6.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.1% 20722/HeapTaskDaemon: 0% user + 6.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     5.1% 22655/ChromiumNet0: 0% user + 5.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 23887/#tp-scheduled-2: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   17% 19146/tv.danmaku.bilibilihd: 0.9% user + 16% kernel / faults: 119 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.6% 20009/pool-3-thread-1: 0% user + 4.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.6% 24888/pool-3-thread-1: 0% user + 4.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.7% 20008/pool-3-thread-1: 0% user + 3.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.8% 19941/thread_backgrou: 0% user + 1.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 21379/Thread-27: 0.9% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   17% 19153/com.qiyi.video.pad: 0% user + 17% kernel / faults: 49 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     10% 20070/.qiyi.video.pad: 0% user + 10% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.8% 19153/.qiyi.video.pad: 0% user + 1.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 20117/Timer-0: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 20922/QYApm-loop: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 21027/PumaSoftAE: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   12% 514/lmkd: 2% user + 10% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     12% 514/lmkd: 2% user + 10% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   13% 4605/kworker/u16:14-ufs_clkscaling_0: 0% user + 13% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   17% 24262/com.qiyi.video: 1.1% user + 16% kernel / faults: 1025 minor 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:     5.9% 24586/tmn-5-2: 0% user + 5.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.3% 24803/ResDownloaderMa: 0% user + 2.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24584/tmn-5-0: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24790/d.plugin.core.e: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24827/muses-ldf-1-1: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24898/KeyManager: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24923/NetGateway: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24924/CacheDispatcher: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24925/PingbackDispatc: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24926/NetworkTPDispat: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24927/RateLimit: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24928/NetworkTP#0: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24929/NetworkTP#1: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24930/SharedPreferenc: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24931/AutoName_com/mc: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   11% 4989/com.kuaishou.nebula: 0.8% user + 10% kernel / faults: 141 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.5% 4989/kuaishou.nebula: 0% user + 6.5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.2% 6652/CPU@0: 0.8% user + 2.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 6672/mqt_js: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24886/pool-30-thread-: 0% user + 0% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24896/ela_global-io: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   9.4% 1052/surfaceflinger: 2.9% user + 6.5% kernel / faults: 1 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.1% 1117/RenderEngine: 0.7% user + 1.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.4% 1052/surfaceflinger: 0.7% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.4% 1120/TimerDispatch: 0.7% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.4% 1121/app: 0% user + 1.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   11% 12296/com.ss.android.lark: 0.8% user + 10% kernel / faults: 136 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.3% 12296/ss.android.lark: 0% user + 4.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.5% 15779/lark_sdk_sub: 0% user + 2.5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 12404/Alog_main_deleg: 0.8% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 16755/APM6-IO: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 16935/alauda-driver: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 17001/lk-ssc-launch_p: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 18343/lk-io-6: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   7.8% 89/oom_reaper: 0% user + 7.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   13% 21726/com.ss.android.ugc.aweme:push: 0% user + 13% kernel / faults: 255 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.8% 22681/PushThreadHandl: 0% user + 6.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.5% 21726/.ugc.aweme:push: 0% user + 4.5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24369/double_turbo_qu: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24424/_ALOG_OPT_: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   8.4% 2151/kworker/u16:22-ufs_clkscaling_0: 0% user + 8.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   9.6% 12533/kworker/u16:15-ufs_pm_qos_0: 0% user + 9.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   6.4% 64/rcuop/6: 0% user + 6.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   8.4% 11094/com.taptap: 0% user + 8.4% kernel / faults: 43 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     8.4% 11094/com.taptap: 0.8% user + 7.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 11182/Thread-10: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 14933/Thread-79: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   7.5% 8375/com.tencent.qqmusic: 0.8% user + 6.6% kernel / faults: 55 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.6% 8375/tencent.qqmusic: 0% user + 1.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 1026/X5MemoryMonitor: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 19735/beacon-thread-5: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 19844/beacon-thread-3: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 32407/DefaultDispatch: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24890/xlog_thread-197: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   7.7% 11670/com.wandoujia.phoenix2:aid: 3.4% user + 4.2% kernel / faults: 163 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.2% 11729/WaHandlerThread: 1.7% user + 2.5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.4% 11670/ia.phoenix2:aid: 1.7% user + 1.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   5.1% 56/rcuop/5: 0% user + 5.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   5.5% 513/logd: 0% user + 5.5% kernel / faults: 16 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.1% 519/logd.writer: 0.6% user + 3.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2% 1304/logd.reader.per: 0% user + 2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   6.8% 11618/com.wandoujia.phoenix2: 1.7% user + 5.1% kernel / faults: 153 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.4% 11618/doujia.phoenix2: 0.8% user + 2.5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 11632/HeapTaskDaemon: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 11799/WaHandlerThread: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 12760/NativeThread: 0.8% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   9.6% 29214/com.smile.gifmaker: 0% user + 9.6% kernel / faults: 77 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     7.2% 29214/.smile.gifmaker: 0% user + 7.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.2% 30826/mqt_js: 0% user + 1.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   4.9% 687/netd: 0% user + 4.9% kernel / faults: 15 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.9% 758/Binder:687_2: 0.7% user + 4.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 746/SkDestroyListen: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 754/netd: 0% user + 0.7% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:   8% 22216/com.tencent.qqmusic:QQPlayerService: 1.1% user + 6.9% kernel / faults: 204 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.4% 22216/QQPlayerService: 0% user + 3.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.3% 22992/io-1: 0% user + 2.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24900/business-defaul: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   8.3% 24512/com.taptap:va_core: 0% user + 8.3% kernel / faults: 11 minor 2 major

03-13 16:31:39.039  1163 24870 E ActivityManager:     8.3% 24512/.taptap:va_core: 0% user + 8.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   7.1% 24497/com.ss.android.ugc.aweme:sandboxed_process1: 0% user + 7.1% kernel / faults: 105 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     7.1% 24497/dboxed_process1: 0% user + 7.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   7.2% 24697/com.android.settings.intelligence: 1.2% user + 6% kernel / faults: 160 minor 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.6% 24697/gs.intelligence: 0% user + 3.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.6% 24719/RenderThread: 1.2% user + 2.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.2% 24713/Binder:24697_2: 0% user + 1.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.7% 1325/media.codec: 0.7% user + 2.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.4% 5509/VideoEncMsgThre: 0% user + 1.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1896/HwBinder:1325_9: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 5510/VideoEncCallBac: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   4.1% 7695/com.tencent.qqmusicpad: 0% user + 4.1% kernel / faults: 89 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.4% 7695/cent.qqmusicpad: 0% user + 2.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 7710/Binder:7695_2: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 8467/cent.qqmusicpad: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 8625/Thread-16: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 8626/cent.qqmusicpad: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 8633/Thread-15: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   4.3% 12781/kworker/u16:23-ufs_pm_qos_0: 0% user + 4.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.1% 2701/kworker/u16:3-kverityd: 0% user + 3.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.3% 5313/com.tencent.mobileqq: 0% user + 3.3% kernel / faults: 56 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.4% 19890/thread_sp_file_: 0% user + 2.4% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.6% 5327/HeapTaskDaemon: 0% user + 1.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.5% 12811/com.tencent.mm: 0% user + 3.5% kernel / faults: 30 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.6% 12811/com.tencent.mm: 0% user + 2.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.6% 15956/com.huawei.hwread.dz: 0.9% user + 2.7% kernel / faults: 29 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.7% 15956/uawei.hwread.dz: 0% user + 2.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.8% 15985/hbu-log: 0.9% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.6% 18054/com.ss.android.lark:sandboxed_process1: 0.9% user + 2.7% kernel / faults: 37 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.7% 18054/dboxed_process1: 0% user + 2.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.9% 19891/com.dragon.read:pushservice: 1.9% user + 1.9% kernel / faults: 385 minor 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.9% 22235/Connection Cont: 1.9% user + 1.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 19891/ead:pushservice: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 22660/Blob Reader (0: 0.9% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24937/ort/manager/a1: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24939/iaomi/push/aj2: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24940/ort/manager/a2: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   4.7% 24113/com.baidu.BaiduMap:MapCoreService: 0% user + 4.7% kernel / faults: 81 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.7% 24113/:MapCoreService: 0% user + 4.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24946/:MapCoreService: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.9% 72/rcuop/7: 0% user + 1.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.1% 688/zygote64: 0% user + 2.1% kernel / faults: 42 minor 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.1% 973/vendor.qti.hardware.display.composer-service: 1.4% user + 0.7% kernel / faults: 5 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.1% 973/composer-servic: 1.4% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.2% 1251/cnss_diag: 1.4% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.9% 1251/cnss_diag: 2.2% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.2% 1292/tlog: 0% user + 2.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.7% 1300/tlog: 0.7% user + 2.9% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:   2.3% 2954/com.hht.lebocast: 0.7% user + 1.5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 4664/om.hht.lebocast: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 27703/om.hht.lebocast: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.4% 3316/com.sohu.inputmethod.sogou.car: 0.8% user + 1.6% kernel / faults: 50 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 3316/ethod.sogou.car: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 3421/RenderThread: 0.8% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.4% 3947/com.hpplay.happyplay.aw: 0.8% user + 1.6% kernel / faults: 21 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.7% 16628/com.android.webview:sandboxed_process0:org.chromium.content.app.SandboxedProcessService0:0: 0%

user + 2.7% kernel / faults: 21 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.7% 16628/ocessService0:0: 0% user + 2.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.7% 19145/com.android.settings: 0.9% user + 1.8% kernel / faults: 1637 minor 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.7% 19393/Binder:19145_4: 0.9% user + 1.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.5% 23188/com.baidu.BaiduMap: 2.3% user + 1.1% kernel / faults: 10 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.7% 23188/.baidu.BaiduMap: 2.3% user + 2.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   3.7% 31913/kworker/u16:2-devfreq_wq: 0% user + 3.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.2% 21/ksoftirqd/1: 0% user + 1.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.3% 288/kgsl_worker_thr: 0% user + 1.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.6% 5485/app_process: 0.8% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 5508/HwBinder:5485_1: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.6% 10060/com.baidu.BaiduMap:MapVoiceProcess: 0% user + 1.6% kernel / faults: 10 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.6% 10060/MapVoiceProcess: 0% user + 1.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.7% 12459/com.shuqi.controller: 0% user + 1.7% kernel / faults: 27 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 12459/huqi.controller: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 12607/AppMonitor:0: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 12612/AppMonitor:3: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.7% 12793/com.shuqi.controller:channel: 0.8% user + 0.8% kernel / faults: 18 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 12793/troller:channel: 0.8% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.7% 13020/com.tencent.mm:push: 0% user + 1.7% kernel / faults: 18 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.6% 13020/tencent.mm:push: 0% user + 2.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.8% 18533/com.baidu.searchbox:bdservice_v1: 0% user + 1.8% kernel / faults: 6 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 18533/ox:bdservice_v1: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   2.3% 22731/com.dragon.read:push: 1.1% user + 1.1% kernel / faults: 120 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24945/TTDefaultExecut: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.6% 11/rcu_preempt: 0% user + 0.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.6% 45/ksoftirqd/4: 0% user + 0.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.6% 48/rcuop/4: 0% user + 0.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.6% 515/servicemanager: 0% user + 0.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.7% 1253/dpmd: 0% user + 0.7% kernel / faults: 9 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.7% 1277/installd: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.7% 1297/wificond: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.7% 2186/com.android.networkstack.process: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.7% 2259/com.thundercomm.microservice: 0% user + 0.7% kernel / faults: 54 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 2306/Binder:2259_3: 0.7% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.7% 2826/adbd: 0% user + 0.7% kernel / faults: 6 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 6076/com.kuaishou.nebula:kwv_sandboxed_p0: 0% user + 0.8% kernel / faults: 6 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 6284/com.baidu.BaiduMap:SandBoxProcess: 0% user + 0.8% kernel / faults: 51 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 6650/Thread-21: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 11024/IMServiceImpl H: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 7222/com.huawei.hwid.persistent: 0% user + 0.8% kernel / faults: 9 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 8804/com.tencent.qqmusicpad:QQPlayerService: 0% user + 0.8% kernel / faults: 14 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 8804/QQPlayerService: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 9994/com.ximalaya.ting.android.car:player: 0% user + 0.8% kernel / faults: 23 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 9994/roid.car:player: 0% user + 0.8% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 12323/com.wandoujia.phoenix2:channel: 0% user + 0.8% kernel / faults: 95 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.8% 13430/com.ss.android.ugc.aweme:pushservice: 0% user + 0.8% kernel / faults: 31 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.8% 13430/eme:pushservice: 0% user + 0.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.9% 19221/com.youku.phone:channel: 0% user + 0.9% kernel / faults: 16 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:   0.9% 20025/com.huawei.hwid.core: 0% user + 0.9% kernel / faults: 28 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 20042/Jit thread pool: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1% 20987/com.qiyi.video.pad:downloader: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21409/HCDN_DownloadEn: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21412/HCDN_DataProces: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1% 21104/com.huawei.appmarket: 0% user + 1% kernel / faults: 25 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 22929/NetworkKit_AIMo: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.1% 22218/kworker/u17:3-hal_register_write_wq: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.1% 22969/com.dragon.read:sandboxed_process1: 1.1% user + 0% kernel / faults: 63 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 22969/dboxed_process1: 1.1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24943/TTDefaultExecut: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.1% 24471/kworker/1:2-kdmflush: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.1% 24535/com.kmxs.reader: 0% user + 1.1% kernel / faults: 8 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24544/HeapTaskDaemon: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.2% 24748/getprop: 0% user + 1.2% kernel / faults: 15 minor 2 major

03-13 16:31:39.039  1163 24870 E ActivityManager:   1.2% 29988/com.youku.phone: 1.2% user + 0% kernel / faults: 1 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.2% 31721/Thread-1853: 0% user + 1.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:  +0% 24899/com.sina.weibo:remote: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager: 90% TOTAL: 9.7% user + 70% kernel + 2.9% iowait + 3.1% irq + 3.8% softirq

由于io线程卡住，SYSTEM进程被杀掉导致发生重启现象

03-13 16:32:30.302 1163 1266 W Watchdog: *** WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on i/o thread (android.io)

--------------------------

■ 下一步解析计划

继续分析

#18 - 2023-04-06 18:36 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT1】【Boot】【偶现1次】设备OTA升级后，使用小窗模式，然后设备偶然出现卡死然后重启 to 【AF】【EVT1】

【Boot】【偶现1次】设备OTA升级后，使用小窗模式，然后设备偶然出现卡死然后重启

#19 - 2023-04-10 14:28 - CDTS_TEST 王成

- Severity changed from Major to Critical

#20 - 2023-04-10 20:02 - CD FW 曹覃刚

[当前情况]

1.系统重启是由于io线程卡住，导致系统进程被杀掉, 然后重启

WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on i/o thread

2.根据日志分析io线程卡住的原因，目前发现了在重启前，系统负载很高，然后有很多lowmemorykill，但是没有根本明确的指向日志

[下一步动作]

继续分析io线程卡住的原因

#21 - 2023-04-11 19:57 - CD FW 曹覃刚

[当前情况]
--------------------

03-13 16:31:39.038  1163 24870 E ActivityManager: ANR in system

03-13 16:31:39.038  1163 24870 E ActivityManager: PID: 1163

03-13 16:31:39.038  1163 24870 E ActivityManager: Reason: Input dispatching timed out (PointerEventDispatcher0 (server) is not responding. Waited 5000ms for

MotionEvent(deviceId=-1, eventTime=7394033000000, source=0x00001002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000,

metaState=0x00000000, buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan,

yCursorPosition=nan, pointers=[0: (319.0, 225.0)]), policyFlags=0x6b000000)

03-13 16:31:39.038  1163 24870 E ActivityManager: ErrorId: 11362e1f-3d4e-4a83-a596-e708ac7903a0

03-13 16:31:39.038  1163 24870 E ActivityManager: Frozen: false

03-13 16:31:39.038  1163 24870 E ActivityManager: Load: 93.49 / 72.55 / 46.85

03-13 16:31:39.038  1163 24870 E ActivityManager: ----- Output from /proc/pressure/memory -----

03-13 16:31:39.038  1163 24870 E ActivityManager: some avg10=28.07 avg60=26.44 avg300=25.91 total=516317089

03-13 16:31:39.038  1163 24870 E ActivityManager: full avg10=1.37 avg60=0.56 avg300=0.59 total=33536155

03-13 16:31:39.038  1163 24870 E ActivityManager: ----- End output from /proc/pressure/memory -----

03-13 16:31:39.038  1163 24870 E ActivityManager: 

03-13 16:31:39.038  1163 24870 E ActivityManager: CPU usage from 0ms to 37966ms later (2023-03-13 16:31:00.416 to 2023-03-13 16:31:38.382):

03-13 16:31:39.038  1163 24870 E ActivityManager:   46% 24262/com.qiyi.video: 9.6% user + 36% kernel / faults: 71850 minor 80 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   44% 20712/com.ss.android.ugc.aweme: 11% user + 33% kernel / faults: 55410 minor 30 major

03-13 16:31:39.038  1163 24870 E ActivityManager:   32% 95/kswapd-1:0: 0% user + 32% kernel

03-13 16:31:39.038  1163 24870 E ActivityManager:   22% 20386/com.qiyi.video.pad:plugin1: 7.8% user + 15% kernel / faults: 20839 minor 10 major

03-13 16:32:29.890   514   514 I lowmemorykiller: Ignoring pressure since per-zone watermarks ok

03-13 16:32:29.902   514   514 I lowmemorykiller: Ignoring pressure since per-zone watermarks ok

03-13 16:32:29.902   514   514 I lowmemorykiller: Ignoring pressure since per-zone watermarks ok

03-13 16:32:30.076   514   514 I lowmemorykiller: Ignoring pressure since per-zone watermarks ok

03-13 16:32:30.291   514   514 I lowmemorykiller: Ignoring pressure since per-zone watermarks ok

03-13 16:32:30.302  1163  1266 W Watchdog: *** WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on i/o thread (android.io)

--------------------

从问题发生前一分钟的未响应日志来看

03-13 16:31:39.038  1163 24870 E ActivityManager: Load: 93.49 / 72.55 / 46.85

CPU在近1分钟，5分钟，15分钟内的CPU平均负载不断攀升，几乎快满了

分别为93.49, 72.55, 46.85

其中负载大头在kernal侧

03-13 16:31:39.039  1163 24870 E ActivityManager: CPU usage from 285ms to 1826ms later (2023-03-13 16:31:00.701 to 2023-03-13 16:31:02.242):

03-13 16:31:39.039  1163 24870 E ActivityManager:   104% 1163/system_server: 10% user + 93% kernel / faults: 1710 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     84% 24870/AnrConsumer: 7.2% user + 77% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     10% 13023/Binder:1163_16: 1.4% user + 8.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     5.8% 7979/Binder:1163_14: 1.4% user + 4.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.4% 1942/WifiHandlerThre: 0.7% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1332/android.bg: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1339/ActivityManager: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.7% 1851/InputDispatcher: 0% user + 0.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   66% 95/kswapd-1:0: 0% user + 66% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   37% 20386/com.qiyi.video.pad:plugin1: 9% user + 28% kernel / faults: 1191 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     14% 21670/pool-6-thread-4: 3% user + 11% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     11% 23893/Thread-41: 3% user + 8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     7% 20396/HeapTaskDaemon: 2% user + 5% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2% 21678/Thread-34: 0% user + 2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 20876/QtpEngine: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   27% 21295/com.dragon.read: 6.4% user + 20% kernel / faults: 1213 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.4% 21862/TTDefaultExecut: 1% user + 5.4% kernel
03-13 16:31:39.039  1163 24870 E ActivityManager:     6.4% 21923/ChromiumNet0: 3.2% user + 3.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.3% 21295/com.dragon.read: 0% user + 4.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.3% 21789/APM_light-weigh: 2.1% user + 2.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.2% 24878/TTDownLoadExecu: 0% user + 3.2% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21515/background_thre: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21815/ActionReaper: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21931/UMThreadPoolExe: 0% user + 1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 21970/Alog_main_deleg: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 24012/npth-tick: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24918/ort/manager/a1: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24921/Log2FileHandler: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24941/MessageHandleSe: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:    +0% 24944/TTDefaultExecut: 0% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   20% 20712/com.ss.android.ugc.aweme: 4% user + 16% kernel / faults: 402 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     10% 22550/Thread-244: 4% user + 6.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     6.1% 20722/HeapTaskDaemon: 0% user + 6.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     5.1% 22655/ChromiumNet0: 0% user + 5.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1% 23887/#tp-scheduled-2: 1% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   17% 19146/tv.danmaku.bilibilihd: 0.9% user + 16% kernel / faults: 119 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.6% 20009/pool-3-thread-1: 0% user + 4.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     4.6% 24888/pool-3-thread-1: 0% user + 4.6% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     3.7% 20008/pool-3-thread-1: 0% user + 3.7% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.8% 19941/thread_backgrou: 0% user + 1.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 21379/Thread-27: 0.9% user + 0% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   17% 19153/com.qiyi.video.pad: 0% user + 17% kernel / faults: 49 minor

03-13 16:31:39.039  1163 24870 E ActivityManager:     10% 20070/.qiyi.video.pad: 0% user + 10% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.8% 19153/.qiyi.video.pad: 0% user + 1.8% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 20117/Timer-0: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 20922/QYApm-loop: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     0.9% 21027/PumaSoftAE: 0% user + 0.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   12% 514/lmkd: 2% user + 10% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     12% 514/lmkd: 2% user + 10% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   13% 4605/kworker/u16:14-ufs_clkscaling_0: 0% user + 13% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:   17% 24262/com.qiyi.video: 1.1% user + 16% kernel / faults: 1025 minor 1 major

03-13 16:31:39.039  1163 24870 E ActivityManager:     5.9% 24586/tmn-5-2: 0% user + 5.9% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     2.3% 24803/ResDownloaderMa: 0% user + 2.3% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24584/tmn-5-0: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24790/d.plugin.core.e: 0% user + 1.1% kernel

03-13 16:31:39.039  1163 24870 E ActivityManager:     1.1% 24827/muses-ldf-1-1: 0% user + 1.1% kernel

尤其是kswapd的占比

03-13 16:31:39.039  1163 24870 E ActivityManager:   66% 95/kswapd-1:0: 0% user + 66% kernel

[下一步动作]

确认kernal侧负载高的原因，尤其是kswapd的具体影响

#22 - 2023-04-12 18:22 - CD FW 曹覃刚

[当前情况]

1.kswapd占66%的使用率是正常的

03-13 16:31:39.039 1163 24870 E ActivityManager: 66% 95/kswapd-1:0: 0% user + 66% kernel

kswapd是Linux内核中�9�2个专门负责在内存不�9�8时执行回收内存的线程，它开始工作时代表目前系统内存告急，同时kswapd本身也比较占CPU资源
2.Kernel侧负载高的原因，没办法通过日志直接定位，需要抓取trace才行

但是从上层来看，当前开启了爱奇艺，抖音，各种阅读软件，qq,飞书，音乐，优酷等几十种软件，且这些进程的负载大头全在kernel侧(一般情况负载大

头都是在上层的)，但是kernel侧的日志需要抓trace才能分析，目前这个问题是偶现的，而且问题发生时，也不具备抓trace的条件

此问题发生时设备状态

1.开了很多任务，爱奇艺，抖音，各种阅读软件，qq,飞书，音乐，优酷等几十种软件

2.存储空间基本只剩下几个G的样子

3.运行内存告急，触发了很多lowmemorykiller

4.重启前有很多anr产生，大量的产生，应该是系统负载高导致

结合上述分析，这个问题属于性能问题

[下一步动作]

需要system组的同学帮忙看下

设备处于高负载情况时，性能吃紧时，如何保证系统的稳定性，避免重启问题

#23 - 2023-04-12 20:23 - CD FW 曹覃刚

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

#24 - 2023-04-13 20:22 - CD SYSTEM-夏旭

■ 当前情况

分析log发现主要是system_server、AnrConsumer和kswapd

03-13 16:31:39.039 1163 24870 E ActivityManager: 104% 1163/system_server: 10% user + 93% kernel / faults: 1710 minor

03-13 16:31:39.039 1163 24870 E ActivityManager: 84% 24870/AnrConsumer: 7.2% user + 77% kernel

03-13 16:31:39.039 1163 24870 E ActivityManager: 66% 95/kswapd-1:0: 0% user + 66% kernel

查看log，kswapdCPU占用率极高，说明系统内存偏低，不停kill进程并发生内存交换导致

最后由于io线程卡住，导致系统进程被杀掉, 然后重启

03-13 16:32:30.302 1163 1266 W Watchdog: *** WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on i/o thread (android.io)

■ 下一步计划

继续分析为什么，为什么kernel占用高

#25 - 2023-04-14 20:31 - CD SYSTEM-夏旭

■ 目前进度

内核时间占用过高可能是由于以下原因之一：

1. 系统服务器进程正在执行一些需要大量计算的任务，需要大量的CPU资源，因此会导致内核时间占用过高。

2. 系统服务器进程正在等待某些资源，例如磁盘I/O或网络I/O。在等待这些资源时，进程会被阻塞，因此会导致内核时间占用过高。

3. 系统服务器进程可能存在某些问题，例如内存泄漏或死锁，导致进程无法正常运行。这些问题可能会导致进程占用过多的CPU资源，从而导致内核时

间占用过高。

03-13 16:32:30.302 1163 1266 W Watchdog: *** WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on i/o thread (android.io)

■ 下一步计划

复现问题抓取trace分析，由于io线程卡住，SYSTEM进程被杀掉导致发生重启现象

#26 - 2023-04-17 22:08 - CD SYSTEM-夏旭

■ 目前进度

本地打开多个应用来压缩内存，没有复现问题，本地使用工具压缩内存也没有复现

■ 下一步计划
和测试对齐手顺

#27 - 2023-04-19 18:05 - CD-Dev 夏坤

■ 目前进度

log中发生问题前多次触发了anr, anr收集信息非常耗资源，这个可能也是导致后面Watchdog错误的诱因

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:03.364  1163 24870 I ActivityManager: Dumping to /data/anr/anr_2023-03-13-16-31-03-364

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:03.364  1163 24870 I ActivityManager: Collecting stacks for pid 1163

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:15.671  1163 24870 I ActivityManager: Collecting stacks for pid 3316

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:16.462  1163 24870 I ActivityManager: Collecting stacks for pid 3168

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:39.787  1163 24870 I ActivityManager: Dumping to /data/anr/anr_2023-03-13-16-31-39-629

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:39.787  1163 24870 I ActivityManager: Collecting stacks for pid 25145

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:40.380  1163 24870 I ActivityManager: Dumping to /data/anr/anr_2023-03-13-16-31-40-372

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:40.380  1163 24870 I ActivityManager: Collecting stacks for pid 3316

tlog/manual/333_manual_00017_230313_163241.log:03-13 16:32:27.570  1163 24870 I ActivityManager: Dumping to /data/anr/anr_2023-03-13-16-32-27-522

tlog/manual/333_manual_00017_230313_163241.log:03-13 16:32:27.570  1163 24870 I ActivityManager: Collecting stacks for pid 2376

tlog/manual/333_manual_00017_230313_163241.log:03-13 16:32:27.667  1163 24870 I ActivityManager: Collecting stacks for pid 1163

tlog/manual/333_manual_00039_230313_163437.log:03-13 16:34:37.062 26734 32145 I ActivityManager: Dumping to /data/anr/anr_2023-03-13-16-34-37-062

tlog/manual/333_manual_00039_230313_163437.log:03-13 16:34:37.062 26734 32145 I ActivityManager: Collecting stacks for pid 28267

第一次anr anr_2023-03-13-16-31-03-364，触发的原因是

Subject: Input dispatching timed out (PointerEventDispatcher0 (server) is not responding. Waited 5000ms for MotionEvent(deviceId=-1,

eventTime=7394033000000, source=0x00001002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000, metaState=0x00000000,

buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan, yCursorPosition=nan,

pointers=[0: (319.0, 225.0)]), policyFlags=0x6b000000)

这个和 #116540 中的现象非常类似，可能这两个是同样原因引起的

■ 下一步计划

和 #116540 合并一起调查

#28 - 2023-04-19 20:03 - CD BSP-杜磊

- Assignee changed from CD SYSTEM-夏旭 to CD-Dev 夏坤

#29 - 2023-04-20 15:36 - CD-Dev 夏坤

- Assignee changed from CD-Dev 夏坤 to CD FW 曹覃刚

■ 目前进度

通过问题发生的先后顺序，在anr(anr_2023-03-13-16-31-03-364)前是没有明显的高负债和lowmemorykiller的,发生anr后，由于anr需要收集信息，导致负载上

升，内存使用量上升，开始频繁出现lowmemorykiller log, 并且在第一次anr出现后，紧接着频繁发生了好几次anr.

tlog/manual/333_manual_00013_230313_163239.log:03-13 16:31:03.364  1163 24870 I ActivityManager: Dumping to /data/anr/anr_2023-03-13-16-31-03-364

anr(anr_2023-03-13-16-31-03-364):
Subject: Input dispatching timed out (PointerEventDispatcher0 (server) is not responding. Waited 5000ms for MotionEvent(deviceId=-1,

eventTime=7394033000000, source=0x00001002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000, metaState=0x00000000,

buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan, yCursorPosition=nan,

pointers=[0: (319.0, 225.0)]), policyFlags=0x6b000000)

这个anr和 #116540 中的问题原因很像，根据高通的 #116540-19 中的的分析，anr往前5s中左右，有input_focus相关的异常log, 可能这个和anr有些关联，需

要FW分析input dispatching相关的异常.

03-13 16:30:56.023 24697 24697 I wm_on_start_called: [231851382,com.android.settings.intelligence.search.SearchActivity,handleStartActivity]

03-13 16:30:56.030 24697 24697 I wm_on_resume_called: [231851382,com.android.settings.intelligence.search.SearchActivity,RESUME_ACTIVITY]

03-13 16:30:56.043  1163  1851 I input_focus: [Focus entering 8f27619 com.android.settings/com.android.settings.Settings (server),reason=Window became

focusable. Previous reason: NO_WINDOW]

03-13 16:30:56.048 24697 24697 I wm_on_top_resumed_gained_called:

[231851382,com.android.settings.intelligence.search.SearchActivity,topStateChangedWhenResumed]

03-13 16:30:56.095  1163  1263 I input_focus: [Focus request d4702bd

com.android.settings.intelligence/com.android.settings.intelligence.search.SearchActivity,reason=UpdateInputWindows]

03-13 16:30:56.120  1163  1851 I input_focus: [Focus leaving 8f27619 com.android.settings/com.android.settings.Settings (server),reason=Waiting for window

because NOT_VISIBLE]

01-01 10:03:21.501     0     0 I binder  : 24697:24719 ioctl 40046210 708a5411f4 returned -22

03-13 16:30:56.470 19145 19393 I service_manager_slow: [14,device_policy]

03-13 16:30:56.505 19145 19393 I service_manager_slow: [34,lock_settings]

03-13 16:30:56.532  1163  1952 W BluetoothManagerService: psc is not null in bindBluetoothProfileService

03-13 16:30:56.612 24262 24262 I dvm_lock_sample: [com.qiyi.video,1,main,509,ContextImpl.java,775,java.io.File

android.app.ContextImpl.getFilesDir(),-,1003,java.io.File android.app.ContextImpl.getDatabasesDir(),100]

03-13 16:30:56.632  1163 13023 I wm_add_to_stopping: [0,81743172,com.android.settings/.Settings,makeInvisible]

03-13 16:30:56.633  1163  1261 I wm_stop_activity: [0,81743172,com.android.settings/.Settings]

03-13 16:30:56.643  1163  1851 I input_focus: [Focus entering d4702bd com.android.settings.intelligence/com.android.settings.intelligence.search.SearchActivity

(server),reason=Window became focusable. Previous reason: NOT_VISIBLE]

03-13 16:30:56.683 19145 19145 I wm_on_stop_called: [81743172,com.android.settings.Settings,STOP_ACTIVITY_ITEM]

■ 下一步计划

FW 分析发生anr的原因，可以结合 #116540 看看

#30 - 2023-04-20 15:59 - CD-Dev 夏坤

透过另外一个log，"edge-swipe (server) is not responding", 不知道这个edge-swipe是不是小窗边缘检测相关的，FW可以调查下edge-swipe是否有什么异常

03-13 16:31:39.626  1163  1851 I WindowManager: ANR in gesture monitor owned by pid:2094.  Reason: edge-swipe (server) is not responding. Waited 21579ms

for MotionEvent(deviceId=-1, eventTime=7416825000000, source=0x00001002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000,

metaState=0x00000000, buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan,

yCursorPosition=nan, pointers=[0: (234.0, 672.0)]), policyFlags=0x6b000000

#31 - 2023-04-20 19:28 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD-Dev 夏坤
Hi 夏坤

如飞书语音沟通,anr问题，我们将在另外的票中分析

请帮助检查，在高负载，高IO操作时，如何从系统角度去避免重启问题

高负载，高IO操作，在用户的实际使用场景中，是会存在的

此问题发生时设备状态

1.开了很多任务，爱奇艺，抖音，各种阅读软件，qq,飞书，音乐，优酷等几十种软件

2.存储空间基本只剩下几个G的样子

3.运行内存告急，触发了很多lowmemorykiller

4.重启前有很多anr产生，大量的产生，应该是系统负载高导致

结合上述分析，这个问题属于性能问题

需要system组的同学帮忙看下

设备处于高负载情况时，性能吃紧时，如何保证系统的稳定性，避免重启问题

#32 - 2023-04-21 18:08 - CD-Dev 夏坤

■ 目前进度

请帮助检查，在高负载，高IO操作时，如何从系统角度去避免重启问题

这个watchdog是系统的机制，已提高通case 06595468，询问是否有什么方法可以优化，不让重启

■ 下一步计划

等待高通回复

#33 - 2023-04-23 18:08 - CD-Dev 夏坤

■ 目前进度

高通回复让提供一些信息，已经把log和之前的怀疑点，还有我们期望寻找一种避免watchdog的方法都更新到case了

■ 下一步计划

等待高通回复

#34 - 2023-04-24 17:48 - CD-Dev 夏坤

■ 目前进度

暂无进展

■ 下一步计划

等待高通回复

#35 - 2023-04-25 18:49 - CD-Dev 夏坤

目前状态：
Dear Valued Customer

如电话沟通，需要附上WATCHDOG trace log ( /data/anr ).

Thanks

Jianping Kuang

Tel:010-5992 0993

高通需要/data/anr log，之前提供的log已经有这部分，让高通继续帮忙看

下一步计划：

等待高通回复

#36 - 2023-04-26 13:45 - CD-Dev 夏坤

当前进展：

Dear Valued Customer

\tlog\fatal\anr\traces_SystemServer_WDT13_03_16_32_30.081_pid1163

----- Waiting Channels: pid 1163 at 2023-03-13 16:30:35.519623177+0800 -----

Cmd line: system_server

sysTid=1163 do_epoll_wait

sysTid=1183 do_sigtimedwait

sysTid=1184 pipe_read

sysTid=1185 do_sys_poll

sysTid=1186 futex_wait_queue_me

sysTid=1187 futex_wait_queue_me

sysTid=1188 0

sysTid=1189 futex_wait_queue_me

sysTid=1190 futex_wait_queue_me

sysTid=1194 futex_wait_queue_me

sysTid=1195 binder_thread_read

sysTid=1212 futex_wait_queue_me

sysTid=1258 do_epoll_wait

sysTid=1259 do_epoll_wait

sysTid=1260 f2fs_sync_fs

sysTid=1261 do_epoll_wait

.. ....

//从这份traces log 中没有看到需要的信息。

Thanks

Jianping Kuang

Tel:010-5992 0993

高通回复之前的log没有有用信息，需要在解决了 #116540 的版本上再复现，看看是否还会出现这个问题，然后再提供log给高通分析
下一步计划：

尝试复现问题，并抓log

如果ANR在问题#116540已经修复，这个问题可能会不再现.

#37 - 2023-05-11 18:27 - CDTS-TEST 周婷

如需跟踪 请正确流转bug 状态

#38 - 2023-05-11 19:12 - CD-Dev 夏坤

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD-Dev 夏坤 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

如果#116540已经修复，这个可以一起关闭了

#39 - 2023-05-15 19:26 - 移动测试一组_CDTS 刘强

与https://share.thundersoft.com/redmine/issues/116540 同件，继续跟踪

#40 - 2023-07-02 14:47 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

V110、V116版本不复现，且同件问题已关闭，因此关闭次此票

#41 - 2023-07-02 14:47 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

166_kernel_00001_700101_101451.log.ing 136 KB 2023-03-03 System组-RD3_CDTS 蒋富雄

179_persist_00018_700101_080042.log 253 KB 2023-03-03 System组-RD3_CDTS 蒋富雄

179_persist_00018_230223_030244.log.ing 72 KB 2023-03-03 System组-RD3_CDTS 蒋富雄
